Index: serefpolicy-contrib-20140730/smstools.if
===================================================================
--- serefpolicy-contrib-20140730.orig/smstools.if
+++ serefpolicy-contrib-20140730/smstools.if
@@ -1,5 +1,81 @@
 ## <summary> Tools to send and receive short messages through GSM modems or mobile phones.</summary>
 
+#######################################
+## <summary>
+##  Search smsd lib directories.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`smsd_search_lib',`
+    gen_require(`
+            type smsd_var_lib_t;
+    ')
+
+    allow $1 smsd_var_lib_t:dir search_dir_perms;
+    files_search_var_lib($1)
+')
+
+#######################################
+## <summary>
+##  Read smsd lib files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`smsd_read_lib_files',`
+    gen_require(`
+        type smsd_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    read_files_pattern($1, smsd_var_lib_t, smsd_var_lib_t)
+')
+
+#######################################
+## <summary>
+##  Manage smsd lib files.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`smsd_manage_lib_files',`
+    gen_require(`
+        type smsd_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    manage_files_pattern($1, smsd_var_lib_t, smsd_var_lib_t)
+')
+
+#######################################
+## <summary>
+##  Manage smsd lib directories.
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`smsd_manage_lib_dirs',`
+    gen_require(`
+        type smsd_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    manage_dirs_pattern($1, smsd_var_lib_t, smsd_var_lib_t)
+')
+
 ########################################
 ## <summary>
 ##	All of the rules required to
@@ -32,7 +108,7 @@ interface(`smstools_admin',`
 	role_transition $2 smsd_initrc_exec_t system_r;
 	allow $2 system_r;
 
-	files_search_config($1)
+	files_search_etc($1)
 	admin_pattern($1, smsd_conf_t)
 
 	files_search_var_lib($1)
Index: serefpolicy-contrib-20140730/snapper.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/snapper.fc
@@ -0,0 +1,8 @@
+/usr/sbin/snapperd		--	gen_context(system_u:object_r:snapperd_exec_t,s0)
+
+/etc/snapper(/.*)?          gen_context(system_u:object_r:snapperd_conf_t,s0)
+/etc/sysconfig/snapper  --  gen_context(system_u:object_r:snapperd_conf_t,s0)
+
+/var/log/snapper\.log.* --  gen_context(system_u:object_r:snapperd_log_t,s0)
+
+/mnt/(.*/)?.snapshots(/.*)?   gen_context(system_u:object_r:snapperd_data_t,s0)
Index: serefpolicy-contrib-20140730/snapper.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/snapper.if
@@ -0,0 +1,42 @@
+
+## <summary>policy for snapperd</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the snapperd domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`snapper_domtrans',`
+	gen_require(`
+		type snapperd_t, snapperd_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, snapperd_exec_t, snapperd_t)
+')
+
+########################################
+## <summary>
+##	Send and receive messages from
+##	snapperd over dbus.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`snapper_dbus_chat',`
+	gen_require(`
+		type snapperd_t;
+		class dbus send_msg;
+	')
+
+	allow $1 snapperd_t:dbus send_msg;
+	allow snapperd_t $1:dbus send_msg;
+')
Index: serefpolicy-contrib-20140730/snapper.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/snapper.te
@@ -0,0 +1,70 @@
+policy_module(snapper, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+type snapperd_t;
+type snapperd_exec_t;
+init_daemon_domain(snapperd_t, snapperd_exec_t)
+
+type snapperd_log_t;
+logging_log_file(snapperd_log_t)
+
+type snapperd_conf_t;
+files_config_file(snapperd_conf_t)
+
+type snapperd_data_t;
+files_type(snapperd_data_t)
+
+########################################
+#
+# snapperd local policy
+#
+
+allow snapperd_t self:fifo_file rw_fifo_file_perms;
+allow snapperd_t self:unix_stream_socket create_stream_socket_perms;
+
+manage_files_pattern(snapperd_t, snapperd_log_t, snapperd_log_t)
+logging_log_filetrans(snapperd_t, snapperd_log_t, file)
+
+manage_files_pattern(snapperd_t, snapperd_conf_t, snapperd_conf_t)
+manage_dirs_pattern(snapperd_t, snapperd_conf_t, snapperd_conf_t)
+manage_lnk_files_pattern(snapperd_t, snapperd_conf_t, snapperd_conf_t)
+
+manage_files_pattern(snapperd_t, snapperd_data_t, snapperd_data_t)
+manage_dirs_pattern(snapperd_t, snapperd_data_t, snapperd_data_t)
+manage_lnk_files_pattern(snapperd_t, snapperd_data_t, snapperd_data_t)
+
+domain_read_all_domains_state(snapperd_t)
+
+corecmd_exec_shell(snapperd_t)
+corecmd_exec_bin(snapperd_t)
+
+files_write_all_dirs(snapperd_t)
+files_setattr_all_mountpoints(snapperd_t)
+files_relabelto_all_mountpoints(snapperd_t)
+files_relabelfrom_isid_type(snapperd_t)
+files_read_all_files(snapperd_t)
+files_list_all(snapperd_t)
+
+fs_getattr_all_fs(snapperd_t)
+
+storage_raw_read_fixed_disk(snapperd_t)
+
+auth_use_nsswitch(snapperd_t)
+
+optional_policy(`
+    dbus_system_domain(snapperd_t, snapperd_exec_t)
+	dbus_system_bus_client(snapperd_t)
+	dbus_connect_system_bus(snapperd_t)
+')
+
+optional_policy(`
+    mount_domtrans(snapperd_t)
+')
+
+optional_policy(`
+    lvm_domtrans(snapperd_t)
+')
Index: serefpolicy-contrib-20140730/snmp.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/snmp.fc
+++ serefpolicy-contrib-20140730/snmp.fc
@@ -1,6 +1,6 @@
 /etc/rc\.d/init\.d/(snmpd|snmptrapd)	--	gen_context(system_u:object_r:snmpd_initrc_exec_t,s0)
 
-/usr/sbin/snmptrap	--	gen_context(system_u:object_r:snmpd_exec_t,s0)
+/usr/sbin/snmpd	--	gen_context(system_u:object_r:snmpd_exec_t,s0)
 /usr/sbin/snmptrapd	--	gen_context(system_u:object_r:snmpd_exec_t,s0)
 
 /usr/share/snmp/mibs/\.index	--	gen_context(system_u:object_r:snmpd_var_lib_t,s0)
@@ -10,9 +10,12 @@
 
 /var/lib/net-snmp(/.*)?	gen_context(system_u:object_r:snmpd_var_lib_t,s0)
 /var/lib/snmp(/.*)?	gen_context(system_u:object_r:snmpd_var_lib_t,s0)
+/var/spool/snmptt(/.*)?	gen_context(system_u:object_r:snmpd_var_lib_t,s0)
 
 /var/log/snmpd\.log.*	--	gen_context(system_u:object_r:snmpd_log_t,s0)
 
-/var/run/net-snmpd(/.*)?	gen_context(system_u:object_r:snmpd_var_run_t,s0)
-/var/run/snmpd(/.*)?	gen_context(system_u:object_r:snmpd_var_run_t,s0)
+/var/net-snmp(/.*)?		gen_context(system_u:object_r:snmpd_var_lib_t,s0)
+
+/var/run/net-snmp(/.*)?	gen_context(system_u:object_r:snmpd_var_run_t,s0)
+/var/run/snmpd(/.*)?		gen_context(system_u:object_r:snmpd_var_run_t,s0)
 /var/run/snmpd\.pid	--	gen_context(system_u:object_r:snmpd_var_run_t,s0)
Index: serefpolicy-contrib-20140730/snmp.if
===================================================================
--- serefpolicy-contrib-20140730.orig/snmp.if
+++ serefpolicy-contrib-20140730/snmp.if
@@ -57,8 +57,7 @@ interface(`snmp_udp_chat',`
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	snmp lib directories.
+##	Read snmpd lib content.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -66,19 +65,39 @@ interface(`snmp_udp_chat',`
 ##	</summary>
 ## </param>
 #
-interface(`snmp_manage_var_lib_dirs',`
+interface(`snmp_read_snmp_var_lib_files',`
 	gen_require(`
 		type snmpd_var_lib_t;
 	')
 
 	files_search_var_lib($1)
-	allow $1 snmpd_var_lib_t:dir manage_dir_perms;
+	allow $1 snmpd_var_lib_t:dir list_dir_perms;
+	read_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
+	read_lnk_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
+')
+
+#######################################
+## <summary>
+##  Read snmpd libraries directories
+## </summary>
+## <param name="domain">
+##  <summary>
+##  Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`snmp_read_snmp_var_lib_dirs',`
+    gen_require(`
+        type snmpd_var_lib_t;
+    ')
+
+    files_search_var_lib($1)
+    allow $1 snmpd_var_lib_t:dir list_dir_perms;
 ')
 
 ########################################
 ## <summary>
-##	Create, read, write, and delete
-##	snmp lib files.
+##	Manage snmpd libraries directories
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -86,19 +105,18 @@ interface(`snmp_manage_var_lib_dirs',`
 ##	</summary>
 ## </param>
 #
-interface(`snmp_manage_var_lib_files',`
+interface(`snmp_manage_var_lib_dirs',`
 	gen_require(`
 		type snmpd_var_lib_t;
 	')
 
-	files_search_var_lib($1)
-	allow $1 snmpd_var_lib_t:dir list_dir_perms;
-	manage_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
+	allow $1 snmpd_var_lib_t:dir manage_dir_perms;
+	files_var_lib_filetrans($1, snmpd_var_lib_t, dir)
 ')
 
 ########################################
 ## <summary>
-##	Read snmpd lib content.
+##	Manage snmpd libraries.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
@@ -106,14 +124,14 @@ interface(`snmp_manage_var_lib_files',`
 ##	</summary>
 ## </param>
 #
-interface(`snmp_read_snmp_var_lib_files',`
+interface(`snmp_manage_var_lib_files',`
 	gen_require(`
 		type snmpd_var_lib_t;
 	')
 
+	files_search_var_lib($1)
 	allow $1 snmpd_var_lib_t:dir list_dir_perms;
-	read_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
-	read_lnk_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
+	manage_files_pattern($1, snmpd_var_lib_t, snmpd_var_lib_t)
 ')
 
 ########################################
@@ -179,8 +197,12 @@ interface(`snmp_admin',`
 		type snmpd_var_lib_t, snmpd_var_run_t;
 	')
 
-	allow $1 snmpd_t:process { ptrace signal_perms };
+	allow $1 snmpd_t:process signal_perms;
+
 	ps_process_pattern($1, snmpd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 snmpd_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, snmpd_initrc_exec_t)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/snmp.te
===================================================================
--- serefpolicy-contrib-20140730.orig/snmp.te
+++ serefpolicy-contrib-20140730/snmp.te
@@ -27,14 +27,16 @@ files_type(snmpd_var_lib_t)
 #
 
 allow snmpd_t self:capability { chown dac_override kill ipc_lock setgid setuid net_admin sys_nice sys_tty_config sys_ptrace };
+
 dontaudit snmpd_t self:capability { sys_module sys_tty_config };
 allow snmpd_t self:process { signal_perms getsched setsched };
 allow snmpd_t self:fifo_file rw_fifo_file_perms;
-allow snmpd_t self:unix_stream_socket { accept connectto listen };
-allow snmpd_t self:tcp_socket { accept listen };
+allow snmpd_t self:unix_dgram_socket create_socket_perms;
+allow snmpd_t self:unix_stream_socket { create_stream_socket_perms connectto };
+allow snmpd_t self:tcp_socket create_stream_socket_perms;
 allow snmpd_t self:udp_socket connected_stream_socket_perms;
 
-allow snmpd_t snmpd_log_t:file { append_file_perms create_file_perms setattr_file_perms };
+manage_files_pattern(snmpd_t, snmpd_log_t, snmpd_log_t)
 logging_log_filetrans(snmpd_t, snmpd_log_t, file)
 
 manage_dirs_pattern(snmpd_t, snmpd_var_lib_t, snmpd_var_lib_t)
@@ -53,12 +55,13 @@ kernel_read_kernel_sysctls(snmpd_t)
 kernel_read_fs_sysctls(snmpd_t)
 kernel_read_net_sysctls(snmpd_t)
 kernel_read_network_state(snmpd_t)
+kernel_read_proc_symlinks(snmpd_t)
+kernel_read_all_proc(snmpd_t)
 kernel_read_system_state(snmpd_t)
 
 corecmd_exec_bin(snmpd_t)
 corecmd_exec_shell(snmpd_t)
 
-corenet_all_recvfrom_unlabeled(snmpd_t)
 corenet_all_recvfrom_netlabel(snmpd_t)
 corenet_tcp_sendrecv_generic_if(snmpd_t)
 corenet_udp_sendrecv_generic_if(snmpd_t)
@@ -75,9 +78,7 @@ corenet_udp_bind_snmp_port(snmpd_t)
 corenet_tcp_sendrecv_snmp_port(snmpd_t)
 corenet_udp_sendrecv_snmp_port(snmpd_t)
 
-corenet_sendrecv_snmp_client_packets(snmpd_t)
 corenet_tcp_connect_agentx_port(snmpd_t)
-corenet_sendrecv_snmp_server_packets(snmpd_t)
 corenet_tcp_bind_agentx_port(snmpd_t)
 corenet_udp_bind_agentx_port(snmpd_t)
 corenet_tcp_sendrecv_agentx_port(snmpd_t)
@@ -94,7 +95,6 @@ domain_signull_all_domains(snmpd_t)
 domain_read_all_domains_state(snmpd_t)
 domain_exec_all_entry_files(snmpd_t)
 
-files_read_usr_files(snmpd_t)
 files_read_etc_runtime_files(snmpd_t)
 files_search_home(snmpd_t)
 
@@ -107,15 +107,19 @@ fs_search_auto_mountpoints(snmpd_t)
 storage_dontaudit_read_fixed_disk(snmpd_t)
 storage_dontaudit_read_removable_device(snmpd_t)
 storage_dontaudit_write_removable_device(snmpd_t)
+storage_getattr_fixed_disk_dev(snmpd_t)
+storage_getattr_removable_dev(snmpd_t)
 
 auth_use_nsswitch(snmpd_t)
 
 init_read_utmp(snmpd_t)
 init_dontaudit_write_utmp(snmpd_t)
+# need write to /var/run/systemd/notify
+init_write_pid_socket(snmpd_t)
 
 logging_send_syslog_msg(snmpd_t)
 
-miscfiles_read_localization(snmpd_t)
+sysnet_read_config(snmpd_t)
 
 seutil_dontaudit_search_config(snmpd_t)
 
@@ -131,7 +135,11 @@ optional_policy(`
 ')
 
 optional_policy(`
-	corosync_stream_connect(snmpd_t)
+    fstools_domtrans(snmpd_t)
+')
+
+optional_policy(`
+	rhcs_stream_connect_cluster(snmpd_t)
 ')
 
 optional_policy(`
@@ -140,6 +148,7 @@ optional_policy(`
 
 optional_policy(`
 	mta_read_config(snmpd_t)
+    mta_read_aliases(snmpd_t)
 	mta_search_queue(snmpd_t)
 ')
 
Index: serefpolicy-contrib-20140730/snort.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/snort.fc
+++ serefpolicy-contrib-20140730/snort.fc
@@ -10,4 +10,3 @@
 /var/log/snort(/.*)?	gen_context(system_u:object_r:snort_log_t,s0)
 
 /var/run/snort.*	--	gen_context(system_u:object_r:snort_var_run_t,s0)
-/var/run/snort(/.*)?	gen_context(system_u:object_r:snort_var_run_t,s0)
Index: serefpolicy-contrib-20140730/snort.if
===================================================================
--- serefpolicy-contrib-20140730.orig/snort.if
+++ serefpolicy-contrib-20140730/snort.if
@@ -42,8 +42,11 @@ interface(`snort_admin',`
 		type snort_etc_t, snort_initrc_exec_t;
 	')
 
-	allow $1 snort_t:process { ptrace signal_perms };
+	allow $1 snort_t:process signal_perms;
 	ps_process_pattern($1, snort_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 snort_t:process ptrace;
+	')
 
 	init_labeled_script_domtrans($1, snort_initrc_exec_t)
 	domain_system_change_exemption($1)
@@ -51,11 +54,11 @@ interface(`snort_admin',`
 	allow $2 system_r;
 
 	admin_pattern($1, snort_etc_t)
-	files_search_etc($1)
+	files_list_etc($1)
 
 	admin_pattern($1, snort_log_t)
-	logging_search_logs($1)
+	logging_list_logs($1)
 
 	admin_pattern($1, snort_var_run_t)
-	files_search_pids($1)
+	files_list_pids($1)
 ')
Index: serefpolicy-contrib-20140730/snort.te
===================================================================
--- serefpolicy-contrib-20140730.orig/snort.te
+++ serefpolicy-contrib-20140730/snort.te
@@ -1,4 +1,4 @@
-policy_module(snort, 1.11.2)
+policy_module(snort, 1.11.0)
 
 ########################################
 #
@@ -23,7 +23,6 @@ files_tmp_file(snort_tmp_t)
 
 type snort_var_run_t;
 files_pid_file(snort_var_run_t)
-init_daemon_pid_file(snort_var_run_t, dir, "snort")
 
 ########################################
 #
@@ -33,10 +32,13 @@ init_daemon_pid_file(snort_var_run_t, di
 allow snort_t self:capability { setgid setuid net_admin net_raw dac_override };
 dontaudit snort_t self:capability sys_tty_config;
 allow snort_t self:process signal_perms;
+allow snort_t self:netlink_route_socket create_netlink_socket_perms;
 allow snort_t self:netlink_socket create_socket_perms;
-allow snort_t self:tcp_socket { accept listen };
+allow snort_t self:tcp_socket create_stream_socket_perms;
+allow snort_t self:udp_socket create_socket_perms;
 allow snort_t self:packet_socket create_socket_perms;
 allow snort_t self:socket create_socket_perms;
+# Snort IPS node. unverified.
 allow snort_t self:netlink_firewall_socket create_socket_perms;
 
 allow snort_t snort_etc_t:dir list_dir_perms;
@@ -44,9 +46,7 @@ allow snort_t snort_etc_t:file read_file
 allow snort_t snort_etc_t:lnk_file read_lnk_file_perms;
 
 manage_dirs_pattern(snort_t, snort_log_t, snort_log_t)
-create_files_pattern(snort_t, snort_log_t, snort_log_t)
-setattr_files_pattern(snort_t, snort_log_t, snort_log_t)
-write_files_pattern(snort_t, snort_log_t, snort_log_t)
+manage_files_pattern(snort_t, snort_log_t, snort_log_t)
 logging_log_filetrans(snort_t, snort_log_t, { file dir })
 
 manage_dirs_pattern(snort_t, snort_tmp_t, snort_tmp_t)
@@ -64,7 +64,6 @@ kernel_request_load_module(snort_t)
 kernel_dontaudit_read_system_state(snort_t)
 kernel_read_network_state(snort_t)
 
-corenet_all_recvfrom_unlabeled(snort_t)
 corenet_all_recvfrom_netlabel(snort_t)
 corenet_tcp_sendrecv_generic_if(snort_t)
 corenet_udp_sendrecv_generic_if(snort_t)
@@ -87,18 +86,17 @@ dev_rw_generic_usb_dev(snort_t)
 
 domain_use_interactive_fds(snort_t)
 
-files_read_etc_files(snort_t)
 files_dontaudit_read_etc_runtime_files(snort_t)
 
 fs_getattr_all_fs(snort_t)
 fs_search_auto_mountpoints(snort_t)
 
+auth_read_passwd(snort_t)
+
 init_read_utmp(snort_t)
 
 logging_send_syslog_msg(snort_t)
 
-miscfiles_read_localization(snort_t)
-
 sysnet_dns_name_resolve(snort_t)
 
 userdom_dontaudit_use_unpriv_user_fds(snort_t)
Index: serefpolicy-contrib-20140730/sosreport.if
===================================================================
--- serefpolicy-contrib-20140730.orig/sosreport.if
+++ serefpolicy-contrib-20140730/sosreport.if
@@ -42,7 +42,7 @@ interface(`sosreport_run',`
 	')
 
 	sosreport_domtrans($1)
-	roleattribute $2 sospreport_roles;
+	roleattribute $2 sosreport_roles;
 ')
 
 ########################################
Index: serefpolicy-contrib-20140730/sosreport.te
===================================================================
--- serefpolicy-contrib-20140730.orig/sosreport.te
+++ serefpolicy-contrib-20140730/sosreport.te
@@ -1,4 +1,4 @@
-policy_module(sosreport, 1.4.0)
+policy_module(sosreport, 1.3.1)
 
 ########################################
 #
@@ -13,15 +13,15 @@ type sosreport_exec_t;
 application_domain(sosreport_t, sosreport_exec_t)
 role sosreport_roles types sosreport_t;
 
-type sosreport_var_run_t;
-files_pid_file(sosreport_var_run_t)
-
 type sosreport_tmp_t;
 files_tmp_file(sosreport_tmp_t)
 
 type sosreport_tmpfs_t;
 files_tmpfs_file(sosreport_tmpfs_t)
 
+type sosreport_var_run_t;
+files_pid_file(sosreport_var_run_t)
+
 optional_policy(`
 	pulseaudio_tmpfs_content(sosreport_tmpfs_t)
 ')
@@ -33,10 +33,12 @@ optional_policy(`
 
 allow sosreport_t self:capability { kill net_admin net_raw setuid sys_admin sys_nice dac_override };
 dontaudit sosreport_t self:capability sys_ptrace;
-allow sosreport_t self:process { setsched setpgid signal_perms };
+allow sosreport_t self:process { setpgid setsched signal_perms };
 allow sosreport_t self:fifo_file rw_fifo_file_perms;
 allow sosreport_t self:tcp_socket { accept listen };
 allow sosreport_t self:unix_stream_socket { accept listen };
+allow sosreport_t self:rawip_socket create_socket_perms;
+allow sosreport_t self:netlink_kobject_uevent_socket create_socket_perms;
 
 manage_dirs_pattern(sosreport_t, sosreport_tmp_t, sosreport_tmp_t)
 manage_files_pattern(sosreport_t, sosreport_tmp_t, sosreport_tmp_t)
@@ -44,6 +46,12 @@ manage_lnk_files_pattern(sosreport_t, so
 files_root_filetrans(sosreport_t, sosreport_tmp_t, file, ".ismount-test-file")
 files_tmp_filetrans(sosreport_t, sosreport_tmp_t, { file dir })
 
+manage_files_pattern(sosreport_t, sosreport_var_run_t, sosreport_var_run_t)
+manage_dirs_pattern(sosreport_t, sosreport_var_run_t, sosreport_var_run_t)
+manage_sock_files_pattern(sosreport_t, sosreport_var_run_t, sosreport_var_run_t)
+manage_lnk_files_pattern(sosreport_t, sosreport_var_run_t, sosreport_var_run_t)
+files_pid_filetrans(sosreport_t, sosreport_var_run_t, { file dir sock_file })
+
 manage_files_pattern(sosreport_t, sosreport_tmpfs_t, sosreport_tmpfs_t)
 fs_tmpfs_filetrans(sosreport_t, sosreport_tmpfs_t, file)
 
@@ -60,6 +68,17 @@ kernel_search_debugfs(sosreport_t)
 kernel_read_messages(sosreport_t)
 kernel_request_load_module(sosreport_t)
 
+corenet_all_recvfrom_netlabel(sosreport_t)
+corenet_tcp_sendrecv_generic_if(sosreport_t)
+corenet_tcp_sendrecv_generic_node(sosreport_t)
+corenet_tcp_sendrecv_generic_port(sosreport_t)
+corenet_tcp_bind_generic_node(sosreport_t)
+corenet_tcp_bind_all_rpc_ports(sosreport_t)
+corenet_udp_bind_all_rpc_ports(sosreport_t)
+corenet_tcp_connect_http_port(sosreport_t)
+corenet_tcp_connect_all_ports(sosreport_t)
+corenet_sendrecv_http_client_packets(sosreport_t)
+
 corecmd_exec_all_executables(sosreport_t)
 
 dev_getattr_all_chr_files(sosreport_t)
@@ -70,6 +89,9 @@ dev_read_urand(sosreport_t)
 dev_read_raw_memory(sosreport_t)
 dev_read_sysfs(sosreport_t)
 dev_rw_generic_usb_dev(sosreport_t)
+dev_rw_lvm_control(sosreport_t)
+dev_getattr_all_chr_files(sosreport_t)
+dev_getattr_all_blk_files(sosreport_t)
 
 domain_getattr_all_domains(sosreport_t)
 domain_read_all_domains_state(sosreport_t)
@@ -84,7 +106,6 @@ files_list_all(sosreport_t)
 files_read_config_files(sosreport_t)
 files_read_generic_tmp_files(sosreport_t)
 files_read_non_auth_files(sosreport_t)
-files_read_usr_files(sosreport_t)
 files_read_var_lib_files(sosreport_t)
 files_read_var_symlinks(sosreport_t)
 files_read_kernel_modules(sosreport_t)
@@ -93,25 +114,35 @@ files_manage_etc_runtime_files(sosreport
 files_etc_filetrans_etc_runtime(sosreport_t, file)
 
 fs_getattr_all_fs(sosreport_t)
+fs_getattr_all_dirs(sosreport_t)
 fs_list_inotifyfs(sosreport_t)
 
 storage_dontaudit_read_fixed_disk(sosreport_t)
 storage_dontaudit_read_removable_device(sosreport_t)
 
+term_getattr_pty_fs(sosreport_t)
+term_getattr_all_ptys(sosreport_t)
 term_use_generic_ptys(sosreport_t)
 
+# some config files do not have configfile attribute
+# sosreport needs to read various files on system
+files_read_non_security_files(sosreport_t)
+
 auth_use_nsswitch(sosreport_t)
+auth_dontaudit_read_shadow(sosreport_t)
 
 init_domtrans_script(sosreport_t)
+init_getattr_initctl(sosreport_t)
+init_status(sosreport_t)
+init_stream_connect(sosreport_t)
 
 libs_domtrans_ldconfig(sosreport_t)
+libs_use_ld_so(sosreport_t)
 
 logging_read_all_logs(sosreport_t)
 logging_send_syslog_msg(sosreport_t)
 
-miscfiles_read_localization(sosreport_t)
-
-modutils_read_module_deps(sosreport_t)
+sysnet_read_config(sosreport_t)
 
 optional_policy(`
 	abrt_manage_pid_files(sosreport_t)
@@ -120,6 +151,14 @@ optional_policy(`
 ')
 
 optional_policy(`
+    bootloader_exec(sosreport_t)
+')
+
+optional_policy(`
+	brctl_domtrans(sosreport_t)
+')
+
+optional_policy(`
 	cups_stream_connect(sosreport_t)
 ')
 
@@ -128,6 +167,16 @@ optional_policy(`
 ')
 
 optional_policy(`
+    lvm_read_config(sosreport_t)
+    lvm_dontaudit_access_check_lock(sosreport_t)
+')
+
+optional_policy(`
+	# needed by modinfo
+	modutils_read_module_deps(sosreport_t)
+')
+
+optional_policy(`
 	fstools_domtrans(sosreport_t)
 ')
 
@@ -152,13 +201,26 @@ optional_policy(`
 ')
 
 optional_policy(`
+    prelink_domtrans(sosreport_t)
+')
+
+optional_policy(`
 	pulseaudio_run(sosreport_t, sosreport_roles)
 ')
 
 optional_policy(`
-	rpm_exec(sosreport_t)
-	rpm_dontaudit_manage_db(sosreport_t)
-	rpm_read_db(sosreport_t)
+    rhsmcertd_manage_lib_files(sosreport_t)
+    rhsmcertd_manage_pid_files(sosreport_t)
+')
+
+optional_policy(`
+    rpm_dontaudit_manage_db(sosreport_t)
+    rpm_manage_cache(sosreport_t)
+    rpm_manage_log(sosreport_t)
+    rpm_manage_pid_files(sosreport_t)
+    rpm_named_filetrans_log_files(sosreport_t)
+    rpm_read_db(sosreport_t)
+    rpm_signull(sosreport_t)
 ')
 
 optional_policy(`
@@ -166,5 +228,9 @@ optional_policy(`
 ')
 
 optional_policy(`
+    unconfined_signull(sosreport_t)
+')
+
+optional_policy(`
 	xserver_stream_connect(sosreport_t)
 ')
Index: serefpolicy-contrib-20140730/soundserver.if
===================================================================
--- serefpolicy-contrib-20140730.orig/soundserver.if
+++ serefpolicy-contrib-20140730/soundserver.if
@@ -38,9 +38,13 @@ interface(`soundserver_admin',`
 		type soundd_state_t;
 	')
 
-	allow $1 soundd_t:process { ptrace signal_perms };
+	allow $1 soundd_t:process signal_perms;
 	ps_process_pattern($1, soundd_t)
 
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 soundd_t:process ptrace;
+	')
+
 	init_labeled_script_domtrans($1, soundd_initrc_exec_t)
 	domain_system_change_exemption($1)
 	role_transition $2 soundd_initrc_exec_t system_r;
Index: serefpolicy-contrib-20140730/soundserver.te
===================================================================
--- serefpolicy-contrib-20140730.orig/soundserver.te
+++ serefpolicy-contrib-20140730/soundserver.te
@@ -65,7 +65,6 @@ kernel_read_kernel_sysctls(soundd_t)
 kernel_list_proc(soundd_t)
 kernel_read_proc_symlinks(soundd_t)
 
-corenet_all_recvfrom_unlabeled(soundd_t)
 corenet_all_recvfrom_netlabel(soundd_t)
 corenet_tcp_sendrecv_generic_if(soundd_t)
 corenet_tcp_sendrecv_generic_node(soundd_t)
@@ -81,7 +80,6 @@ dev_write_sound(soundd_t)
 
 domain_use_interactive_fds(soundd_t)
 
-files_read_etc_files(soundd_t)
 files_read_etc_runtime_files(soundd_t)
 
 fs_getattr_all_fs(soundd_t)
@@ -89,8 +87,6 @@ fs_search_auto_mountpoints(soundd_t)
 
 logging_send_syslog_msg(soundd_t)
 
-miscfiles_read_localization(soundd_t)
-
 sysnet_read_config(soundd_t)
 
 userdom_dontaudit_use_unpriv_user_fds(soundd_t)
Index: serefpolicy-contrib-20140730/spamassassin.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/spamassassin.fc
+++ serefpolicy-contrib-20140730/spamassassin.fc
@@ -1,20 +1,26 @@
-HOME_DIR/\.spamassassin(/.*)?	gen_context(system_u:object_r:spamassassin_home_t,s0)
-HOME_DIR/\.spamd(/.*)?	gen_context(system_u:object_r:spamd_home_t,s0)
+HOME_DIR/\.pyzor(/.*)?		gen_context(system_u:object_r:spamc_home_t,s0)
+HOME_DIR/\.razor(/.*)?      gen_context(system_u:object_r:spamc_home_t,s0)
+HOME_DIR/\.spamassassin(/.*)?	gen_context(system_u:object_r:spamc_home_t,s0)
+HOME_DIR/\.spamd(/.*)?		gen_context(system_u:object_r:spamc_home_t,s0)
+/root/\.pyzor(/.*)?		gen_context(system_u:object_r:spamc_home_t,s0)
+/root/\.razor(/.*)?     gen_context(system_u:object_r:spamc_home_t,s0)
+/root/\.spamassassin(/.*)?	gen_context(system_u:object_r:spamc_home_t,s0)
+/root/\.spamd(/.*)?		gen_context(system_u:object_r:spamc_home_t,s0)
 
 /etc/rc\.d/init\.d/spamd	--	gen_context(system_u:object_r:spamd_initrc_exec_t,s0)
-/etc/rc\.d/init\.d/spampd	--	gen_context(system_u:object_r:spamd_initrc_exec_t,s0)
+/etc/rc\.d/init\.d/spampd    --  gen_context(system_u:object_r:spamd_initrc_exec_t,s0)
 /etc/rc\.d/init\.d/mimedefang.*	--	gen_context(system_u:object_r:spamd_initrc_exec_t,s0)
 
 /usr/bin/sa-learn	--	gen_context(system_u:object_r:spamc_exec_t,s0)
 /usr/bin/spamassassin	--	gen_context(system_u:object_r:spamc_exec_t,s0)
-/usr/bin/spamc	--	gen_context(system_u:object_r:spamc_exec_t,s0)
-/usr/bin/spamd	--	gen_context(system_u:object_r:spamd_exec_t,s0)
+/usr/bin/spamc		--	gen_context(system_u:object_r:spamc_exec_t,s0)
+/usr/bin/spamd		--	gen_context(system_u:object_r:spamd_exec_t,s0)
 /usr/bin/sa-update	--	gen_context(system_u:object_r:spamd_update_exec_t,s0)
 
-/usr/sbin/spamd	--	gen_context(system_u:object_r:spamd_exec_t,s0)
-/usr/sbin/spampd	--	gen_context(system_u:object_r:spamd_exec_t,s0)
+/usr/sbin/spamd		--	gen_context(system_u:object_r:spamd_exec_t,s0)
+/usr/sbin/spampd     --  gen_context(system_u:object_r:spamd_exec_t,s0)
 /usr/bin/mimedefang	--	gen_context(system_u:object_r:spamd_exec_t,s0)
-/usr/bin/mimedefang-multiplexor	--	gen_context(system_u:object_r:spamd_exec_t,s0)
+/usr/bin/mimedefang-multiplexor --	gen_context(system_u:object_r:spamd_exec_t,s0)
 
 /var/lib/spamassassin(/.*)?	gen_context(system_u:object_r:spamd_var_lib_t,s0)
 /var/lib/spamassassin/compiled(/.*)?	gen_context(system_u:object_r:spamd_compiled_t,s0)
@@ -25,7 +31,22 @@ HOME_DIR/\.spamd(/.*)?	gen_context(syste
 /var/run/spamassassin(/.*)?	gen_context(system_u:object_r:spamd_var_run_t,s0)
 
 /var/spool/spamassassin(/.*)?	gen_context(system_u:object_r:spamd_spool_t,s0)
-/var/spool/spamd(/.*)?	gen_context(system_u:object_r:spamd_spool_t,s0)
-/var/spool/spampd(/.*)?	gen_context(system_u:object_r:spamd_spool_t,s0)
+/var/spool/spamd(/.*)?		gen_context(system_u:object_r:spamd_spool_t,s0)
+/var/spool/spampd(/.*)?      gen_context(system_u:object_r:spamd_spool_t,s0)
 /var/spool/MD-Quarantine(/.*)?	gen_context(system_u:object_r:spamd_var_run_t,s0)
 /var/spool/MIMEDefang(/.*)?	gen_context(system_u:object_r:spamd_var_run_t,s0)
+
+/etc/pyzor(/.*)?		gen_context(system_u:object_r:spamd_etc_t, s0)
+/etc/razor(/.*)?        gen_context(system_u:object_r:spamd_etc_t,s0)
+/etc/rc\.d/init\.d/pyzord	--	gen_context(system_u:object_r:spamd_initrc_exec_t,s0)
+
+/usr/bin/razor.*    --  gen_context(system_u:object_r:spamc_exec_t,s0)
+
+/var/lib/pyzord(/.*)?		gen_context(system_u:object_r:spamd_var_lib_t,s0)
+/var/lib/razor(/.*)?        gen_context(system_u:object_r:spamd_var_lib_t,s0)
+
+/var/log/pyzord\.log.*	--	gen_context(system_u:object_r:spamd_log_t,s0)
+/var/log/razor-agent\.log.*	--    gen_context(system_u:object_r:spamd_log_t,s0)
+
+/usr/bin/pyzor		--	gen_context(system_u:object_r:spamc_exec_t,s0)
+/usr/bin/pyzord		--	gen_context(system_u:object_r:spamd_exec_t,s0)
